
package de.ivu.elect.presentation.wahlbeteiligung.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungAuswertungChangeEvent;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungAuswertung;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractWahlbeteiligungAuswertungAction extends AbstractActionEntry<WahlbeteiligungAuswertung> {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahlbeteiligungAuswertungChangeEvent wahlbeteiligungAuswertungChangeEvent;

  public AbstractWahlbeteiligungAuswertungAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractActionEntry.KEINE_GEBIET_SECURITY;
  }

  @Override
  protected void fireChangeEvent() {
    wahlbeteiligungAuswertungChangeEvent.sendChangeEvent();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull WahlbeteiligungAuswertung wahlbeteiligungAuswertung) {
    return false;
  }
}
